<?php

include('../../../init.php');
include('../../../includes/functions.php');
include('../../../includes/gatewayfunctions.php');
include('../../../includes/invoicefunctions.php');

$gatewayModuleName = basename(__FILE__, '.php');

include_once __DIR__ . '/../../../'.$gatewayModuleName.'_func.php';

$gatewayParams = getGatewayVariables($gatewayModuleName);

if (!$gatewayParams['type']) {
    die("Module Not Activated");
}

$api = $gatewayParams['api'];

$invoiceId = $_GET['invoice_id'];
$transactionId = @$_POST["invoice_key"];
//$transactionId = "14425_a72455220e2304899f939b12f8f4b08f";
$amount = $_GET["amount"];


$invoiceId = checkCbInvoiceID($invoiceId, $gatewayParams['name']);

checkCbTransID($transactionId);

if($gatewayParams['currencies']=='toman')   $amount = $amount/10;

$result = get($api, $transactionId);
$result = json_decode($result);

if (($result->status == 1) ) {
    $result=addInvoicePayment($invoiceId,$transactionId,$amount,0,$gatewaymodule);
    logTransaction($gatewayParams["name"], $_POST, "Success");
} else {
    logTransaction($gatewayParams["name"], $_POST, "Failed");
}
#Header('Location: ' . $CONFIG['SystemURL'] . '/clientarea.php?action=invoices');

$Return_URL = $CONFIG['SystemURL'].'/viewinvoice.php?id='.$invoiceId;
if ( ! headers_sent() ) {
    header('Location: '.$Return_URL);
    exit;
}
else {
    die('<script type="text/javascript">window.location="' .$Return_URL. '";</script>');
    exit;
}
